CSOCurrent en:Installing Language Packages

Aus Cryptshare Documentation
Wechseln zu:Navigation, Suche

Make sure that you have downloaded and installed the correct version of the Cryptshare for Outlook language packs on your Cryptshare Server. Otherwise an error message will occur in Cryptshare for Outlook when trying to send the transfer.

Updating language ressources
If you change or add language files on the server, these will only be available to the user after a re-start of the Outlook Client. The Add-In starts up with language files that are cached locally and updates the cached language resources during runtime.
Installation order language packs
In order to run v1 and v2 of the Cryptshare for Outlook add-in at the same time please follow these three steps below:


1. Remove all Cryptshare for Outlook language packs from your Cryptshare Server (e.g. 3.5; 4.0; 5.0).
2. Install only the language packs for v1 of Cryptshare for Outlook. They have the number 3.5.
3. After that you may also install the language packs for v2 of Cryptshare for Outlook - those language packs have the number 5.0.


Please note: The three steps have to be followed in that specific order. Otherwise there will be connection problems between the server and Cryptshare for Outlook v1.
Differences in handling language pack updates
Cryptshare Server and Cryptshare for Outlook language packs will be handled differently when uploading newer (or older) language resources than the ones which are already installed. The following table provides an overview about the expected behaviour:

Cryptshare Server Language Packs

Description Beispiel (installierte Version → gewählte Version) Behavior
Minor Version 6.5 → 6.4 downgrade not possible
6.4 → 6.5 updated version is replacing older version
Major Version 7.0 → 6.0 downgrade not possible
6.0 → 7.0 updated version is replacing older version

Cryptshare for Outlook Language Packs

Description Beispiel (installierte Version → gewählte Version) Behavior
Minor Version 6.5 → 6.4 older version is replacing newer version
6.4 → 6.5 updated version is replacing older version
Major Version 7.0 → 6.0 version 6.0 will be installed in addition to version 7.0
6.0 → 7.0 version 7.0 will be installed in addition to version 6.0

Screenshot-1648465847627178.png